classification
Title: Remove Lib/test/test_importlib/regrtest.py?
Type: Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.snow, python-dev, vstinner
Priority: normal Keywords:

Created on 2016-03-30 01:14 by vstinner, last changed 2016-04-08 19:29 by brett.cannon. This issue is now closed.

Messages (6)
msg262641 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-03-30 01:14
Docstring of the file:

"""Run Python's standard test suite using importlib.__import__.

Tests known to fail because of assumptions that importlib (properly)
invalidates are automatically skipped if the entire test suite is run.
Otherwise all command-line options valid for test.regrtest are also valid for
this script.

"""

Since Python 3 now uses importlib by default for __import__, I think that the file became useless and can be removed.
msg262645 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-30 02:04
So that file wasn't to make sure  importlib was used by the test suite but  to actually make sure importlib.__import__ was heavily exercised (it's not the same as builtins.__import__ which is an accelerated C version). But thanks to test_importlib.util that shouldn't be an issue as long as all the modules in test_importlib.import_ use util.test_both(..., __import__=util.__import__).
msg262765 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-04-01 19:51
Do you mean that you are ok to remove this file in Python 3.6? The file is not used by test_importlib.
msg262771 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-04-01 21:02
Yes, I'm fine with removing it once I/someone double-checks that all the tests in test.test_importlib.import_ are doing the right thing in regards to util.test_both(..., __import__=util.__import__).
msg262773 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-04-01 21:09
> once I/someone double-checks that all the tests in test.test_importlib.import_ are doing the right thing in regards to util.test_both(..., __import__=util.__import__).

Ah, I didn't understand that it was a question. I'm not interested to check that.
msg263041 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-08 19:29
New changeset d214b30e8ef0 by Brett Cannon in branch 'default':
Issue #26668: Remove the redundant Lib/test/test_importlib/regrtest.py
https://hg.python.org/cpython/rev/d214b30e8ef0
History
Date User Action Args
2016-04-08 19:29:43brett.cannonsetstatus: open -> closed
resolution: fixed
stage: resolved
2016-04-08 19:29:13python-devsetnosy: + python-dev
messages: + msg263041
2016-04-01 21:09:21vstinnersetmessages: + msg262773
2016-04-01 21:02:50brett.cannonsetmessages: + msg262771
2016-04-01 19:51:02vstinnersetmessages: + msg262765
2016-03-30 02:04:22brett.cannonsetassignee: brett.cannon
2016-03-30 02:04:12brett.cannonsetmessages: + msg262645
2016-03-30 01:14:28vstinnercreate